Description: Allow standalone mode for Debian.
 Debian is also using the standalone mode. Let's allow it in this
 operating system as well.
 .
 Also, fix the comment for the stanalone parameter, so it reflects
 reality (ie: default is true, not false).
Author: Thomas Goirand <zigo@debian.org>
Date: Tue, 30 Apr 2024 16:25:08 +0200
Change-Id: I4c8e73dc0e403943270cc38c1a526b6630d97b87
Forwarded: https://review.opendev.org/c/openstack/puppet-ironic/+/917715
Last-Update: 2024-04-30

diff --git a/manifests/inspector.pp b/manifests/inspector.pp
index c1b5b51..f6f49b0 100644
--- a/manifests/inspector.pp
+++ b/manifests/inspector.pp
@@ -321,7 +321,7 @@
 #
 # [*standalone*]
 #   (optional) Whether to run ironic-inspector as a standalone service.
-#   Defaults to true
+#   Defaults to false
 #
 class ironic::inspector (
   $package_ensure                                       = 'present',
@@ -385,7 +385,7 @@
   $kombu_failover_strategy                              = $facts['os_service_default'],
   $kombu_compression                                    = $facts['os_service_default'],
   $amqp_durable_queues                                  = $facts['os_service_default'],
-  Boolean $standalone                                   = true,
+  Boolean $standalone                                   = false,
 ) inherits ironic::params {
 
   include ironic::deps
@@ -399,7 +399,7 @@
     include ironic::inspector::authtoken
   }
 
-  if !standalone and $facts['os']['family'] != 'RedHat' {
+  if !standalone and $facts['os']['family'] != 'RedHat' and $facts['os']['name'] != 'Debian' {
     fail('Non-standalone mode configuration is not supported in this operating system')
   }
 
diff --git a/manifests/inspector/wsgi/apache.pp b/manifests/inspector/wsgi/apache.pp
index 673c8d3..421850a 100644
--- a/manifests/inspector/wsgi/apache.pp
+++ b/manifests/inspector/wsgi/apache.pp
@@ -156,7 +156,7 @@
   include ironic::deps
   include ironic::params
 
-  if $facts['os']['family'] != 'RedHat' {
+  if $facts['os']['family'] != 'RedHat' and $facts['os']['name'] != 'Debian'{
     fail('Non-standalone mode configuration is not supported in this operating system')
   }
 
